Say hello to TwinkleBeautiful desktop notifications.

Launch Twinkle demo
Java Web Start. Requires Java 1.5+

Twinkle has been tested with Java 1.5, 1.6 and 1.7 under Windows (XP, Vista and 7), OS X and Linux. Some features might not be available on some JVMs. For more information read this blog post.